swagger: '2.0'
info:
  description: This is a representation of signal level operation for HADA project.
  version: 1.0.0
  title: signal API
  x-ibm-name: signal
host: $(catalog.host)
basePath: /hada/v1
schemes:
  - https
tags:
  - name: developers
    description: Operations available to regular developers
paths:
  /signal/level:
    get:
      tags:
        - developers
      summary: get signal level
      operationId: level
      description: get signal level
      produces:
        - application/json
      parameters:
        - name: Authorization
          in: header
          description: >-
            Including the proof of access (using OAuth2.0 security model) to
            guarantee that the consumer has privileges to access the entity
            database
          required: false
          type: string
        - in: query
          name: entityId
          description: pass an optional search string for looking up inventory
          required: true
          type: string
      responses:
        '200':
          description: get information about signal levels
          schema:
            $ref: '#/definitions/SubmitResponse'
        '400':
          description: BAD REQUEST
          schema:
            $ref: '#/definitions/ExceptionResponse'
        '404':
          description: NOT FOUND
          schema:
            $ref: '#/definitions/ExceptionResponse'
        '500':
          description: INTERNAL SERVER ERROR
          schema:
            $ref: '#/definitions/ExceptionResponse'
        '503':
          description: SERVICE UNAVAILABLE
          schema:
            $ref: '#/definitions/ExceptionResponse'
definitions:
  SubmitRequest:
    type: object
    properties:
      entityId:
        type: string
        example: '1100000060000'
  SubmitResponse:
    type: object
    properties:
      entries:
        type: array
        items:
          $ref: '#/definitions/EntryType'
      fieldNames:
        type: array
        items:
          $ref: '#/definitions/FieldNameType'
      message:
        type: string
        example: SUCCESS
      statusCode:
        type: string
        example: 0
  EntryType:
    type: object
    required:
      - key
      - value
    properties:
      key:
        type: string
        example: lineinfo.id
      value:
        type: string
        example: '1100000060000'
  FieldNameType:
    type: object
    required:
      - fieldName
    properties:
      fieldName:
        type: string
        example: lineinfo.id
  ExceptionResponse:
    type: object
    properties:
      exceptionId:
        type: string
        example: SVX9999
      exceptionName:
        type: string
        example: exceptionName
      exceptionText:
        type: string
        example: exceptionText
      appDetail:
        $ref: '#/definitions/AppDetailType'
  AppDetailType:
    type: object
    properties:
      exceptionAppCode:
        type: string
        example: '9999'
      exceptionAppMessage:
        type: string
        example: REALTIME_TEMP_UNAVAILABLE
x-telefonica-exceptions:
  syntax:
    SVC0004:
      exception: Invalid Request URI
      text: Invalid Request URI
      code: 404 NOT FOUND
      type: common
    SVC1002:
      exception: Content not well-formed
      text: Content not well-formed
      code: 400 BAD REQUEST
      type: common
    SVC1050:
      exception: Business Error
      text: Business Error
      code: 500 INTERNAL SERVER ERROR
      type: common
  server:
    SVR1000:
      exception: Generic Client Error
      text: Generic Client Error
      code: 500 INTERNAL SERVER ERROR
      type: common
    SVR4000:
      exception: Generic Server Fault
      text: Generic Server Fault
      code: 500 INTERNAL SERVER ERROR
      type: common
    SVR6001:
      exception: Backend service execution timeout
      text: Backend service execution timeout
      code: 503 SERVICE UNAVAILABLE
      type: common
x-ibm-configuration:
  gateway: datapower-gateway
  assembly:
    execute:
      - map:
          title: map
          inputs:
            entityId:
              schema:
                type: string
              variable: request.parameters.entityId
          outputs:
            request:
              schema:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelInput
              variable: message.body
              content: application/xml
          actions:
            - set: request.Envelope.Body.getSignalLevelRequest.entityId
              from: entityId
          version: 1.0.0
      - set-variable:
          title: set-variable
          actions:
            - value: 005f7c02-e442-4a68-a02c-8214c641b63b
              add: message.headers.X-IBM-Client-Id
            - value: aplication/xml
              set: message.headers.Content-Type
          version: 1.0.0
      - invoke:
          title: invoke
          timeout: 60
          verb: POST
          cache-response: protocol
          cache-ttl: 900
          version: 1.0.0
          target-url: >-
            https://api.us.apiconnect.ibmcloud.com/luiguiparedeshotmailcom-dev/sb/requestmanage/execute
      - invoke:
          title: invoke
          timeout: 60
          verb: POST
          cache-response: protocol
          cache-ttl: 900
          version: 1.0.0
          target-url: >-
            http://172.16.1.73:7001/getSignalLevel_v1/getSignalLevel/ProxyService/getSignalLevelSoap_v1
      - switch:
          title: switch
          case:
            - condition: apim.getvariable('message.status.code') == 500
              execute:
                - set-variable:
                    title: set-variable
                    actions:
                      - value: 005f7c02-e442-4a68-a02c-8214c641b63b
                        add: message.headers.X-IBM-Client-Id
                      - value: aplication/xml
                        set: message.headers.Content-Type
                    version: 1.0.0
                - invoke:
                    title: invoke
                    timeout: 60
                    verb: POST
                    cache-response: protocol
                    cache-ttl: 900
                    version: 1.0.0
                    target-url: >-
                      https://api.us.apiconnect.ibmcloud.com/luiguiparedeshotmailcom-dev/sb/faultmanage/execute
            - otherwise:
                - map:
                    title: map
                    inputs:
                      input:
                        schema:
                          $ref: >-
                            #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelOutput
                        variable: message.body
                        content: application/xml
                    outputs:
                      response:
                        schema:
                          $ref: '#/definitions/SubmitResponse'
                        variable: message.body
                    actions:
                      - create: response.entries
                        foreach: input.Envelope.Body.getSignalLevelResponse.entries
                        from: input.Envelope.Body.getSignalLevelResponse.entries
                        actions:
                          - set: key
                            from: entry.key
                          - set: value
                            from: entry.value
                      - create: response.fieldNames
                        foreach: input.Envelope.Body.getSignalLevelResponse.entries
                        from: input.Envelope.Body.getSignalLevelResponse.entries
                        actions:
                          - set: fieldName
                            from: fieldNames.fieldName
                      - set: response.message
                        from: >-
                          input.Envelope.Body.getSignalLevelResponse.entries.message
                      - set: response.statusCode
                        from: >-
                          input.Envelope.Body.getSignalLevelResponse.entries.statusCode
                    version: 1.0.0
          version: 1.0.0
    catch: []
  targets:
    getSignalLevelSOAPQSService:
      swagger: '2.0'
      info:
        title: getSignalLevelSOAPQSService
        description: OSB Service
        x-ibm-name: getsignallevelsoapqsservice
        version: 1.0.0
      schemes:
        - https
      basePath: /getSignalLevelSOAPQSService
      produces:
        - application/xml
      consumes:
        - text/xml
      securityDefinitions:
        clientID:
          type: apiKey
          name: X-IBM-Client-Id
          in: header
          description: ''
      security:
        - clientID: []
      x-ibm-configuration:
        type: wsdl
        wsdl-definition:
          wsdl: /home/matthew2/Escritorio/Signal_API/getSignalLevelSoap_v1
          service: getSignalLevelSOAPQSService
          port: getSignalLevelSOAPQSPort
          soap-version: '1.1'
        assembly:
          execute:
            - proxy:
                title: proxy
                target-url: >-
                  http://172.16.1.73:7001/getSignalLevel_v1/getSignalLevel/ProxyService/getSignalLevelSoap_v1
        gateway: datapower-gateway
        enforced: true
        testable: true
        phase: realized
        cors:
          enabled: true
      paths:
        /getSignalLevel:
          post:
            summary: Operation getSignalLevel
            description: ''
            operationId: getSignalLevel
            x-ibm-soap:
              soap-action: 'http://telefonica.com/pe/integration/v1/getSignalLevel'
              soap-operation: >-
                {http://telefonica.com/pe/integration/v1/schema/getSignalLevel/}getSignalLevelRequest
            parameters:
              - in: body
                name: body
                required: true
                schema:
                  $ref: >-
                    #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelInput
            responses:
              '500':
                description: ''
                schema:
                  $ref: >-
                    #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelFault
              default:
                description: ''
                schema:
                  $ref: >-
                    #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelOutput
      definitions:
        Security:
          xml:
            namespace: >-
              http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
            prefix: wsse
          type: object
          properties:
            UsernameToken:
              xml:
                namespace: >-
                  http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
                prefix: wsse
              type: object
              properties:
                Username:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
                    prefix: wsse
                  type: string
                Password:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
                    prefix: wsse
                  type: string
                Nonce:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
                    prefix: wsse
                  type: string
                  properties:
                    EncodingType:
                      xml:
                        namespace: ''
                        attribute: true
                      type: string
                Created:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd
                    prefix: wsu
                  type: string
            Timestamp:
              xml:
                namespace: >-
                  http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd
                prefix: wsu
              type: object
              properties:
                Created:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd
                    prefix: wsu
                  type: string
                Expires:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd
                    prefix: wsu
                  type: string
                Id:
                  xml:
                    namespace: >-
                      http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd
                    prefix: wsu
                    attribute: true
                  type: string
        getSignalLevelInput:
          type: object
          properties:
            Envelope:
              xml:
                prefix: soapenv
                namespace: 'http://schemas.xmlsoap.org/soap/envelope/'
              type: object
              properties:
                Header:
                  $ref: >-
                    #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelHeader
                Body:
                  type: object
                  properties:
                    getSignalLevelRequest:
                      $ref: >-
                        #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelRequest_WL5G3N1
                  required:
                    - getSignalLevelRequest
              required:
                - Body
          required:
            - Envelope
          example: >-

            <soapenv:Envelope
            xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
             <soapenv:Header>
              <wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd">
               <wsse:UsernameToken>
                <wsse:Username>string</wsse:Username>
                <wsse:Password>string</wsse:Password>
                <wsse:Nonce EncodingType="string">string</wsse:Nonce>
                <wsu:Created>string</wsu:Created>
               </wsse:UsernameToken>
               <wsu:Timestamp wsu:Id="string">
                <wsu:Created>string</wsu:Created>
                <wsu:Expires>string</wsu:Expires>
               </wsu:Timestamp>
              </wsse:Security>
              <WL5G3N2:HeaderIn xmlns:WL5G3N2="http://telefonica.com/globalIntegration/header">
               <WL5G3N2:country><!-- mandatory -->string</WL5G3N2:country>
               <WL5G3N2:lang><!-- mandatory -->string</WL5G3N2:lang>
               <WL5G3N2:entity><!-- mandatory -->string</WL5G3N2:entity>
               <WL5G3N2:system><!-- mandatory -->string</WL5G3N2:system>
               <WL5G3N2:subsystem><!-- mandatory -->string</WL5G3N2:subsystem>
               <WL5G3N2:originator><!-- mandatory -->string</WL5G3N2:originator>
               <WL5G3N2:sender>string</WL5G3N2:sender>
               <WL5G3N2:userId><!-- mandatory -->string</WL5G3N2:userId>
               <WL5G3N2:wsId>string</WL5G3N2:wsId>
               <WL5G3N2:wsIp>string</WL5G3N2:wsIp>
               <WL5G3N2:wsIpv6>string</WL5G3N2:wsIpv6>
               <WL5G3N2:operation><!-- mandatory -->string</WL5G3N2:operation>
               <WL5G3N2:destination><!-- mandatory -->string</WL5G3N2:destination>
               <WL5G3N2:pid>string</WL5G3N2:pid>
               <WL5G3N2:execId><!-- mandatory -->string</WL5G3N2:execId>
               <WL5G3N2:msgId>string</WL5G3N2:msgId>
               <WL5G3N2:timestamp><!-- mandatory -->string</WL5G3N2:timestamp>
               <WL5G3N2:msgType>string</WL5G3N2:msgType>
               <WL5G3N2:varArg>
                <WL5G3N2:arg><!-- mandatory --><!-- between 1 and 10 repetitions of this element -->
                 <WL5G3N2:key><!-- mandatory -->string</WL5G3N2:key>
                 <WL5G3N2:values><!-- mandatory -->
                  <WL5G3N2:value><!-- mandatory --><!-- between 1 and 10 repetitions of this element -->string</WL5G3N2:value>
                 </WL5G3N2:values>
                </WL5G3N2:arg>
               </WL5G3N2:varArg>
              </WL5G3N2:HeaderIn>
             </soapenv:Header>
             <soapenv:Body>
              <WL5G3N1:getSignalLevelRequest xmlns:WL5G3N1="http://telefonica.com/pe/integration/v1/schema/getSignalLevel/"><!-- mandatory -->
               <WL5G3N1:entityId><!-- mandatory -->string</WL5G3N1:entityId>
              </WL5G3N1:getSignalLevelRequest>
             </soapenv:Body>
            </soapenv:Envelope>
        getSignalLevelHeader:
          type: object
          properties:
            Security:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/Security
            HeaderIn:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/HeaderIn_WL5G3N2
        getSignalLevelOutput:
          type: object
          properties:
            Envelope:
              xml:
                prefix: soapenv
                namespace: 'http://schemas.xmlsoap.org/soap/envelope/'
              type: object
              properties:
                Header:
                  $ref: >-
                    #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelHeaderOut
                Body:
                  type: object
                  properties:
                    getSignalLevelResponse:
                      $ref: >-
                        #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/getSignalLevelResponse_WL5G3N1
              required:
                - Body
          required:
            - Envelope
          example: >-

            <soapenv:Envelope
            xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
             <soapenv:Header>
              <WL5G3N2:HeaderOut xmlns:WL5G3N2="http://telefonica.com/globalIntegration/header">
               <WL5G3N2:originator><!-- mandatory -->string</WL5G3N2:originator>
               <WL5G3N2:destination><!-- mandatory -->string</WL5G3N2:destination>
               <WL5G3N2:pid>string</WL5G3N2:pid>
               <WL5G3N2:execId><!-- mandatory -->string</WL5G3N2:execId>
               <WL5G3N2:msgId>string</WL5G3N2:msgId>
               <WL5G3N2:timestamp><!-- mandatory -->string</WL5G3N2:timestamp>
               <WL5G3N2:msgType>string</WL5G3N2:msgType>
               <WL5G3N2:varArg>
                <WL5G3N2:arg><!-- mandatory --><!-- between 1 and 10 repetitions of this element -->
                 <WL5G3N2:key><!-- mandatory -->string</WL5G3N2:key>
                 <WL5G3N2:values><!-- mandatory -->
                  <WL5G3N2:value><!-- mandatory --><!-- between 1 and 10 repetitions of this element -->string</WL5G3N2:value>
                 </WL5G3N2:values>
                </WL5G3N2:arg>
               </WL5G3N2:varArg>
              </WL5G3N2:HeaderOut>
             </soapenv:Header>
             <soapenv:Body>
              <WL5G3N1:getSignalLevelResponse xmlns:WL5G3N1="http://telefonica.com/pe/integration/v1/schema/getSignalLevel/">
               <WL5G3N1:entries><!-- between zero and unlimited repetitions of this element -->
                <WL5G3N1:entry><!-- between zero and unlimited repetitions of this element -->
                 <WL5G3N1:key>string</WL5G3N1:key>
                 <WL5G3N1:value>string</WL5G3N1:value>
                </WL5G3N1:entry>
                <WL5G3N1:fieldNames>
                 <WL5G3N1:fieldName><!-- between zero and unlimited repetitions of this element -->string</WL5G3N1:fieldName>
                </WL5G3N1:fieldNames>
                <WL5G3N1:message>string</WL5G3N1:message>
                <WL5G3N1:statusCode>string</WL5G3N1:statusCode>
               </WL5G3N1:entries>
              </WL5G3N1:getSignalLevelResponse>
             </soapenv:Body>
            </soapenv:Envelope>
        getSignalLevelHeaderOut:
          type: object
          properties:
            HeaderOut:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/HeaderOut_WL5G3N2
        getSignalLevelFault:
          type: object
          properties:
            Envelope:
              xml:
                prefix: soapenv
                namespace: 'http://schemas.xmlsoap.org/soap/envelope/'
              type: object
              properties:
                Body:
                  type: object
                  properties:
                    Fault:
                      type: object
                      properties:
                        faultcode:
                          xml:
                            prefix: ''
                            namespace: ''
                          type: string
                        faultstring:
                          xml:
                            prefix: ''
                            namespace: ''
                          type: string
                        faultactor:
                          xml:
                            prefix: ''
                            namespace: ''
                          type: string
                        detail:
                          xml:
                            prefix: ''
                            namespace: ''
                          type: object
                          properties:
                            MessageFault:
                              $ref: >-
                                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/MessageFault_WL5G3N4
              required:
                - Body
          required:
            - Envelope
        getSignalLevelRequest_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: object
          properties:
            entityId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/entityIdType_WL5G3N1
          required:
            - entityId
          example: >-

            <WL5G3N1:getSignalLevelRequest
            xmlns:WL5G3N1="http://telefonica.com/pe/integration/v1/schema/getSignalLevel/">
             <WL5G3N1:entityId><!-- mandatory -->string</WL5G3N1:entityId>
            </WL5G3N1:getSignalLevelRequest>
        getSignalLevelResponse_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: object
          properties:
            entries:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/entriesType_WL5G3N1
              x-nullable: true
          example: >-

            <WL5G3N1:getSignalLevelResponse
            xmlns:WL5G3N1="http://telefonica.com/pe/integration/v1/schema/getSignalLevel/">
             <WL5G3N1:entries><!-- between zero and unlimited repetitions of this element -->
              <WL5G3N1:entry><!-- between zero and unlimited repetitions of this element -->
               <WL5G3N1:key>string</WL5G3N1:key>
               <WL5G3N1:value>string</WL5G3N1:value>
              </WL5G3N1:entry>
              <WL5G3N1:fieldNames>
               <WL5G3N1:fieldName><!-- between zero and unlimited repetitions of this element -->string</WL5G3N1:fieldName>
              </WL5G3N1:fieldNames>
              <WL5G3N1:message>string</WL5G3N1:message>
              <WL5G3N1:statusCode>string</WL5G3N1:statusCode>
             </WL5G3N1:entries>
            </WL5G3N1:getSignalLevelResponse>
        MessageFault_WL5G3N4:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: object
          properties:
            exceptionCategory:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionCategoryType_WL5G3N3
            exceptionCode:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionCodeType_WL5G3N3
            exceptionMessage:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionMessageType_WL5G3N3
            exceptionDetail:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionDetailType_WL5G3N3
            exceptionSeverity:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionSeverityType_WL5G3N3
            exceptionType:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionType_WL5G3N3
            exceptionProtocol:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionProtocolType_WL5G3N3
            appDetail:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/appDetailType_WL5G3N3
          required:
            - exceptionCategory
            - exceptionCode
            - exceptionMessage
            - exceptionDetail
            - exceptionSeverity
          example: >-

            <WL5G3N3:MessageFault
            xmlns:WL5G3N3="http://telefonica.com/globalIntegration/fault">
             <WL5G3N3:exceptionCategory><!-- mandatory -->string</WL5G3N3:exceptionCategory>
             <WL5G3N3:exceptionCode><!-- mandatory -->string</WL5G3N3:exceptionCode>
             <WL5G3N3:exceptionMessage><!-- mandatory -->string</WL5G3N3:exceptionMessage>
             <WL5G3N3:exceptionDetail><!-- mandatory -->string</WL5G3N3:exceptionDetail>
             <WL5G3N3:exceptionSeverity><!-- mandatory -->string</WL5G3N3:exceptionSeverity>
             <WL5G3N3:exceptionType>string</WL5G3N3:exceptionType>
             <WL5G3N3:exceptionProtocol>
              <WL5G3N3:code><!-- mandatory -->string</WL5G3N3:code>
              <WL5G3N3:description><!-- mandatory -->string</WL5G3N3:description>
             </WL5G3N3:exceptionProtocol>
             <WL5G3N3:appDetail>
              <WL5G3N3:exceptionAppCode><!-- mandatory -->string</WL5G3N3:exceptionAppCode>
              <WL5G3N3:exceptionAppMessage><!-- mandatory -->string</WL5G3N3:exceptionAppMessage>
              <WL5G3N3:exceptionAppLocation>string</WL5G3N3:exceptionAppLocation>
              <WL5G3N3:exceptionAppCause>string</WL5G3N3:exceptionAppCause>
              <WL5G3N3:varArg>
               <WL5G3N3:arg><!-- mandatory --><!-- between 1 and 99 repetitions of this element -->
                <WL5G3N3:key><!-- mandatory -->string</WL5G3N3:key>
                <WL5G3N3:values><!-- mandatory -->
                 <WL5G3N3:value><!-- mandatory --><!-- between 1 and 99 repetitions of this element -->string</WL5G3N3:value>
                </WL5G3N3:values>
               </WL5G3N3:arg>
              </WL5G3N3:varArg>
             </WL5G3N3:appDetail>
            </WL5G3N3:MessageFault>
        HeaderIn_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: object
          properties:
            country:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/countryType_WL5G3N2
            lang:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/langType_WL5G3N2
            entity:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/entityType_WL5G3N2
            system:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/systemType_WL5G3N2
            subsystem:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/subsystemType_WL5G3N2
            originator:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/originatorType_WL5G3N2
            sender:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/senderType_WL5G3N2
            userId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/userIdType_WL5G3N2
            wsId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/wsIdType_WL5G3N2
            wsIp:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/wsIpType_WL5G3N2
            wsIpv6:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/wsIpv6Type_WL5G3N2
            operation:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/operationType_WL5G3N2
            destination:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/destinationType_WL5G3N2
            pid:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/pidType_WL5G3N2
            execId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/execIdType_WL5G3N2
            msgId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/msgIdType_WL5G3N2
            timestamp:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/timestampType_WL5G3N2
            msgType:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/msgTypeType_WL5G3N2
            varArg:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/varArgType_WL5G3N2
          required:
            - country
            - lang
            - entity
            - system
            - subsystem
            - originator
            - userId
            - operation
            - destination
            - execId
            - timestamp
          x-xsi-type: HeaderInType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: HeaderInType_WL5G3N2
        HeaderOut_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: object
          properties:
            originator:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/originatorType_WL5G3N2
            destination:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/destinationType_WL5G3N2
            pid:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/pidType_WL5G3N2
            execId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/execIdType_WL5G3N2
            msgId:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/msgIdType_WL5G3N2
            timestamp:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/timestampType_WL5G3N2
            msgType:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/msgTypeType_WL5G3N2
            varArg:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/varArgType_WL5G3N2
          required:
            - originator
            - destination
            - execId
            - timestamp
          x-xsi-type: HeaderOutType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: HeaderOutType_WL5G3N2
        entityIdType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: string
          x-xsi-type: entityIdType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: entityIdType_WL5G3N1
        entriesType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: object
          properties:
            entry:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/entryType_WL5G3N1
              x-nullable: true
            fieldNames:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/fieldNamesType_WL5G3N1
            message:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/messageType_WL5G3N1
            statusCode:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/statusCodeType_WL5G3N1
          x-xsi-type: entriesType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: entriesType_WL5G3N1
        exceptionCategoryType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: >-
            Los valores posibles de este elemento seran SVC, POL, SEC en el caso
            de una excepcion producida por en mensaje enviado por el cliente y
            SRV si el error se produce en el lado del servidor debido a
            problemas tecnicos.
          x-xsi-type: exceptionCategoryType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionCategoryType_WL5G3N3
        exceptionCodeType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: >-
            Categoria del error. Tendra asociado un rango numerico de cuatro
            digitos: [1000-1999] si SVC, [2000-2999] si POC, [3000-3999] si SEC,
            [4000-4999] si SRV.
          x-xsi-type: exceptionCodeType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionCodeType_WL5G3N3
        exceptionMessageType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: >-
            Mensaje de texto asociado al identificador del error indicado por el
            elemento exceptionCode.
          x-xsi-type: exceptionMessageType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionMessageType_WL5G3N3
        exceptionDetailType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: >-
            El valor de este elemento debe proveer informacion sensible sobre
            sobre los detalles del error relativa a la causa y al nodo,
            aplicacion, clase, metodo o parrafo del programa donde se ha
            producido el error.
          x-xsi-type: exceptionDetailType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionDetailType_WL5G3N3
        exceptionSeverityType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          minLength: 1
          maxLength: 1
          description: >-
            Severidad del error. El valor indicado en este campo debe servir
            para distinguir si el error es permanente o temporal, de tal forma
            que permite al consumidor o nodos intermedios conocer si es posible
            volver a intentar la operacion. Ante un error solo podra
            considerarse la posibilidad de hacer reintentos si es de tipo
            Servidor. Los valores pueden ser: E (error) cuando no es
            recuperable; R (retry) es un error temporal con posibilidad de
            reintentos.
          x-xsi-type: exceptionSeverityType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionSeverityType_WL5G3N3
        exceptionType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: Nombre del tipo de error.
          x-xsi-type: exceptionType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionType_WL5G3N3
        exceptionProtocolType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: object
          properties:
            code:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/protocolCodeType_WL5G3N3
            description:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/protocolDescriptionType_WL5G3N3
          required:
            - code
            - description
          x-xsi-type: exceptionProtocolType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionProtocolType_WL5G3N3
        appDetailType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: object
          properties:
            exceptionAppCode:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionAppCodeType_WL5G3N3
            exceptionAppMessage:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionAppMessageType_WL5G3N3
            exceptionAppLocation:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionAppLocationType_WL5G3N3
            exceptionAppCause:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/exceptionAppCauseType_WL5G3N3
            varArg:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/varArgType_WL5G3N3
          required:
            - exceptionAppCode
            - exceptionAppMessage
          x-xsi-type: appDetailType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: appDetailType_WL5G3N3
        countryType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          minLength: 2
          maxLength: 2
          description: Identifica el pais de la entidad mandante.
          x-xsi-type: countryType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: countryType_WL5G3N2
        langType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          minLength: 2
          maxLength: 2
          description: >-
            Idioma del contenido de la carga util del mensaje SOAP, incluida en
            el elemento body.
          x-xsi-type: langType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: langType_WL5G3N2
        entityType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 32
          description: >-
            Valor de este elemento simple debe identificar de forma univoca, y a
            nivel global, la entidad peticionaria.
          x-xsi-type: entityType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: entityType_WL5G3N2
        systemType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 32
          description: >-
            Sistema de informacion correspondiente a la entidad especificada por
            el campo entity.
          x-xsi-type: systemType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: systemType_WL5G3N2
        subsystemType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 32
          description: >-
            Subsistema, aplicacion o dominio funcional correspondiente a la
            entidad especificada por el campo system.
          x-xsi-type: subsystemType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: subsystemType_WL5G3N2
        originatorType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 101
          description: >-
            Debe contener informacion identificativa completa del originario de
            la peticion.
          x-xsi-type: originatorType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: originatorType_WL5G3N2
        senderType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 32
          description: >-
            Solo debe ser informado cuando la entidad, sistema o subsistema que
            ha creado el mensaje es diferente a la que envia la peticion. En
            este escenario, normalmente, existira un nodo intermedio que
            procesara el mensaje y realizara el envio siendo el identificador de
            este nodo el valor de este elemento.
          x-xsi-type: senderType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: senderType_WL5G3N2
        userIdType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 32
          description: >-
            identificador del usuario del sistema y/o subsistema que inicia la
            peticion.
          x-xsi-type: userIdType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: userIdType_WL5G3N2
        wsIdType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 32
          description: >-
            Estacion de trabajo del usuario si este es informado mediante el
            elemento userId. En el caso de no venir informado el identificador
            de usuario el valor de este elemento debera estar relacionado con el
            identificador de la infraestructura desde la que se realiza la
            peticion. Es deseable que en ambos casos el valor sea el nombre del
            host de la maquina junto con el identificador de la instancia.
          x-xsi-type: wsIdType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: wsIdType_WL5G3N2
        wsIpType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          pattern: >-
            ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))
          maxLength: 15
          description: >-
            IP (IPv4) asociada al valor informado en el elemento wsId. Es
            deseable que el valor de este elemento corresponda a la interfaz de
            red de la maquina desde la que se realiza la peticion.
          x-xsi-type: wsIpType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: wsIpType_WL5G3N2
        wsIpv6Type_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          pattern: >-
            ((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?
          maxLength: 39
          description: >-
            IP (IPv6) asociada al valor informado en el elemento wsId. Es
            deseable que el valor de este elemento corresponda a la interfaz de
            red de la maquina desde la que se realiza la peticion.
          x-xsi-type: wsIpv6Type
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: wsIpv6Type_WL5G3N2
        operationType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          description: >-
            El valor podra coincidir con el informado en la cabecera HTTP
            SOAPAction en SOAP 1.1 o podra estar formado por un identificador
            logico de la funcionalidad ofrecida por el servicio ejecutado.
          x-xsi-type: operationType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: operationType_WL5G3N2
        destinationType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          maxLength: 101
          description: >-
            Debe contener informacion identificativa completa del proveedor del
            servicio invocado. Su formato sera concatenacion de los elementos
            countryCode, entity, system y subsystem separados por el caracter :
            del proveedor del servicio.
          x-xsi-type: destinationType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: destinationType_WL5G3N2
        pidType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          pattern: '[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}'
          minLength: 36
          maxLength: 36
          description: >-
            El valor de este elemento debe ser un identificador unico del flujo
            de ejecucion para cubrir funcionalmente las interacciones que se
            puedan necesitar para completar un proceso o subproceso de negocio,
            permitiendo al consumidor asociar ejecuciones a varios servicios
            dentro de la misma unidad funcional. El valor de este elemento
            debera ser retornado en la respuesta con el fin de correlacionar los
            mensajes de peticion y respuesta asociados a determinado nivel de
            agrupacion. Por ejemplo, si para realizar alguna tramitacion es
            necesario ejecutar varias operaciones, la aplicacion consumidora
            generara un identificador unico que mantendra vivo en su contexto y
            que sera comun en las invocaciones a los servicios implicados.
          x-xsi-type: pidType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: pidType_WL5G3N2
        execIdType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          pattern: '[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}'
          minLength: 36
          maxLength: 36
          description: >-
            El valor de este elemento debe ser un identificador unico de cada
            ejecucion dentro del contexto de la aplicacion consumidora. En cada
            peticion la aplicacion consumidora debe generar e informar este
            valor que debera ser devuelto en la respuesta con el fin de
            correlacionar los mensajes de peticion y respuesta. A diferencia del
            elemento pid, donde su valor puede ser compartido entre distintas
            ejecuciones, el valor de este elemento no pude ser compartido entre
            ejecuciones, aunque se trate de peticiones al mismo servicio.
          x-xsi-type: execIdType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: execIdType_WL5G3N2
        msgIdType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          pattern: '[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}'
          minLength: 36
          maxLength: 36
          description: >-
            Identificador de serializacion del mensaje. El valor de este campo
            debe actualizarse siempre que se realice alguna modificacion sobre
            el mensaje en nodos intermedios. Por tanto, dentro de un flujo de
            ejecucion podran encontrarse dos mensajes con mismo valor del
            elemento executionId y distinto valor del elemento msgId, indicando
            que el mensaje es diferente. Por ejemplo el mensaje de peticion y el
            de respuesta en una ejecucion.
          x-xsi-type: msgIdType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: msgIdType_WL5G3N2
        timestampType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          pattern: '\d{4}-\d\d-\d\dT\d\d:\d\d:\d\d(\.\d(\d)?(\d)?)?(([+\-]\d\d:\d\d)|Z)'
          maxLength: 29
          minLength: 20
          description: >-
            El valor de este elemento simple debe ser la marca de tiempo
            correspondiente al envio del mensaje. Este valor incluira la fecha,
            la hora con precision de milisegundos y la zona horaria siguiendo el
            estandar de tiempo UTC y la especificacion ISO 8601.
          x-xsi-type: timestampType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: timestampType_WL5G3N2
        msgTypeType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          description: >-
            Este elemento indica el tipo de mensaje y esta relaciona con el
            escenario de uso y modo de interaccion. Puede tener los siguientes
            valores: REQUEST (Indica que el mensaje corresponde a una peticion),
            RESPONSE (el mensaje corresponde a una respuesta en un modo de
            ejecucion sincrona), REPLY (el mensaje corresponde a una respuesta
            en un modo de ejecucion asincrona), NOTIFICATION (indica una
            notificacion por parte de un servicio en un patron de intercambio de
            mensajes publicacion-suscripcion), ERROR (el mensaje corresponde a
            un SOAP Fautl).
          x-xsi-type: msgTypeType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: msgTypeType_WL5G3N2
        varArgType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: object
          properties:
            arg:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/argType_WL5G3N2
              maxItems: 10
              minItems: 1
          required:
            - arg
          description: >-
            Este elemento queda definido por un tipo complejo y variable en cuya
            finalidad es permitir cubrir las necesidades particulares de
            trasmision de informacion del contexto de aplicacion, no relacionada
            con conceptos de negocio, en las interacciones entre dos sistemas.
            La estructura propuesta esta formada por un grupo con pares
            clave-multivalor. No queda recomendado el uso de este elemento por
            parte de los sistemas salvo en escenarios con necesidades muy
            concretas.
          x-xsi-type: varArgType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: varArgType_WL5G3N2
        entryType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: object
          properties:
            key:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/keyType_WL5G3N1
            value:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/valueTypeResp_WL5G3N1
          x-xsi-type: entryType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: entryType_WL5G3N1
        fieldNamesType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: object
          properties:
            fieldName:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/fieldNameType_WL5G3N1
              x-nullable: true
          x-xsi-type: fieldNamesType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: fieldNamesType_WL5G3N1
          x-nullable: true
        messageType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: string
          x-xsi-type: messageType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: messageType_WL5G3N1
          x-nullable: true
        statusCodeType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: string
          x-xsi-type: statusCodeType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: statusCodeType_WL5G3N1
        protocolCodeType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: Codigo de error del protocolo utilizado.
          x-xsi-type: protocolCodeType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: protocolCodeType_WL5G3N3
        protocolDescriptionType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: >-
            Descripción del error asociado al codigo del protocolo utilizado en
            el binding.
          x-xsi-type: protocolDescriptionType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: protocolDescriptionType_WL5G3N3
        exceptionAppCodeType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: Codigo identificativo del error notificado por la aplicacion.
          x-xsi-type: exceptionAppCodeType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionAppCodeType_WL5G3N3
        exceptionAppMessageType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: >-
            Mensaje asociado al codigo de error indicado por el elemento
            exceptionAppCode.
          x-xsi-type: exceptionAppMessageType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionAppMessageType_WL5G3N3
        exceptionAppLocationType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: Localización del error informado por la aplicacion invocada.
          x-xsi-type: exceptionAppLocationType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionAppLocationType_WL5G3N3
        exceptionAppCauseType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: Causa del error informado por la aplicacion invocada.
          x-xsi-type: exceptionAppCauseType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: exceptionAppCauseType_WL5G3N3
        varArgType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: object
          properties:
            arg:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/argType_WL5G3N3
              maxItems: 99
              minItems: 1
          required:
            - arg
          description: >-
            Este elemento queda definido por un tipo complejo y variable en cuya
            finalidad es permitir cubrir las necesidades particulares de
            trasmision de informacion del contexto de aplicacion, no relacionada
            con conceptos de negocio, en las interacciones entre dos sistemas.
            La estructura propuesta esta formada por un grupo con pares
            clave-multivalor. No queda recomendado el uso de este elemento por
            parte de los sistemas salvo en escenarios con necesidades muy
            concretas.
          x-xsi-type: varArgType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: varArgType_WL5G3N3
        argType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: object
          properties:
            key:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/keyType_WL5G3N2
            values:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/valuesType_WL5G3N2
          required:
            - key
            - values
          description: >-
            Este elemento queda definido por un tipo complejo y variable en cuya
            finalidad es permitir cubrir las necesidades particulares de
            trasmision de informacion del contexto de aplicacion, no relacionada
            con conceptos de negocio, en las interacciones entre dos sistemas.
            La estructura propuesta esta formada por un grupo con pares
            clave-multivalor. No queda recomendado el uso de este elemento por
            parte de los sistemas salvo en escenarios con necesidades muy
            concretas.
          x-xsi-type: argType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: argType_WL5G3N2
        keyType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: string
          x-xsi-type: keyType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: keyType_WL5G3N1
          x-nullable: true
        valueTypeResp_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: string
          x-xsi-type: valueTypeResp
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: valueTypeResp_WL5G3N1
          x-nullable: true
        fieldNameType_WL5G3N1:
          xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          type: string
          x-xsi-type: fieldNameType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/pe/integration/v1/schema/getSignalLevel/'
            prefix: WL5G3N1
          x-xsi-type-uniquename: fieldNameType_WL5G3N1
        argType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: object
          properties:
            key:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/keyType_WL5G3N3
            values:
              $ref: >-
                #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/valuesType_WL5G3N3
          required:
            - key
            - values
          description: >-
            Este elemento queda definido por un tipo complejo y variable en cuya
            finalidad es permitir cubrir las necesidades particulares de
            trasmision de informacion del contexto de aplicacion, no relacionada
            con conceptos de negocio, en las interacciones entre dos sistemas.
            La estructura propuesta esta formada por un grupo con pares
            clave-multivalor. No queda recomendado el uso de este elemento por
            parte de los sistemas salvo en escenarios con necesidades muy
            concretas.
          x-xsi-type: argType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: argType_WL5G3N3
        keyType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          minLength: 1
          description: Key de un valor de argType.
          x-xsi-type: keyType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: keyType_WL5G3N2
        valuesType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: object
          properties:
            value:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/valueType_WL5G3N2
              maxItems: 10
              minItems: 1
          required:
            - value
          description: Valores asociados a una key.
          x-xsi-type: valuesType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: valuesType_WL5G3N2
        keyType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          minLength: 1
          description: Key de un valor de argType.
          x-xsi-type: keyType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: keyType_WL5G3N3
        valuesType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: object
          properties:
            value:
              type: array
              items:
                $ref: >-
                  #/x-ibm-configuration/targets/getSignalLevelSOAPQSService/definitions/valueType_WL5G3N3
              maxItems: 99
              minItems: 1
          required:
            - value
          description: Valores asociados a una key.
          x-xsi-type: valuesType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: valuesType_WL5G3N3
        valueType_WL5G3N2:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          type: string
          description: Valor.
          x-xsi-type: valueType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/header'
            prefix: WL5G3N2
          x-xsi-type-uniquename: valueType_WL5G3N2
        valueType_WL5G3N3:
          xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          type: string
          description: Valor.
          x-xsi-type: valueType
          x-xsi-type-xml:
            namespace: 'http://telefonica.com/globalIntegration/fault'
            prefix: WL5G3N3
          x-xsi-type-uniquename: valueType_WL5G3N3
